Save a lead or account to a Sales Navigator list

Saves a person (kind leads, providerId is the LinkedIn user id) or a company (kind accounts, providerId is the LinkedIn company id) to an existing Sales Navigator list on a connected LinkedIn account. New lists must be created in the Sales Navigator UI first.

POST
/v1/messaging/sales-navigator/lists/save

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/messaging/sales-navigator/lists/save" \  -H "Content-Type: application/json" \  -d '{    "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",    "listId": "string",    "providerId": "string"  }'
{
  "object": "string",
  "property1": null,
  "property2": null
}
"string"
"string"
"string"
"string"